/*Style CSS*/


/* IMPORT FONTU Z GOOGLE*/

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
/*
font-family: "Inter", sans-serif;
font-family: "Merriweather", serif;
*/

/* KOLORY DOKUMENTU - deklarujemy w formie zmiennych */
:root{
    --kolor-glowny: #D9D9D9;
    --kolor-akcent: #7C7C7C;
    --kolor-ciemny: #00072B;
    --kolor-jasny: #FFF;
}



/*SELEKTORY GLOBALNE dot. cłego dokumentu*/
*{
    box-sizing: border-box; /*żeby padding nie zmieniał nam szerokości boxa*/
    transition: 300ms;
}
html{
    scroll-behavior: smooth;
}
body{
    font-family: "Inter", sans-serif;
}
a{
    text-decoration: none;
}
p{
    line-height: 140%;
}
img{
    max-width: 100%;
}

h1, h2, h3, h4, h5, h6{
    font-family: "Inter", sans-serif;
}
h1{
    font-weight: 400;
    font-size: 70px;
    text-align: center;
}
h1 span{
    font-weight: 900;
}
h2{
    font-weight: 800;
    font-size: 35px;
    margin: 40px 0 60px 0;
}
h3{
    font-weight: 600;
    font-size: 26px;
}
h4{}
h5{}
h6{}


/*NAWIGACJA*/
nav{
    /* background-color: #000; */
    /* background-color: rgba(0, 0, 0, .7); */ /*PRZEŹROCZYSTOŚĆ */
    background-color: var(--kolor-jasny);
    /* color: var(--kolor-ciemny); - tu nie zadziala kolor, musisz zrobic w hiperłączach */
    /*zafiksowane menu = zakotwiczone = przylepione do krawędzi przeglądarki*/
    position: fixed;
    width: 100%;/*bo fixed wytraca tę szerokość*/
    padding: 10px; /*uwaga na paddingi bo zwiekszaja wys i szer danego boxu*/ /*dlatego trzeba zrobic box-sizing:border-box*/
    display: flex;
    justify-content: center;

    z-index: 1;
}
nav ol{
    /* background-color: aqua; */
    /* padding: 10px; */
    max-width: 1200px;
    width: 100%;
    display: flex;
    justify-content: space-evenly;
}
nav ol li{
    /* background-color: rgb(82, 105, 48); */
    /* padding: 10px; */
}
nav ol li a{
    /* background-color: rgb(0, 0, 0); */
    padding: 10px 1vw;
    text-align: center;
    display: inline; /*domyślnie - tragedia do robienia buttonów*/
    display: block; /*wplywaja na otoczenie i łatwiej się je ustawia*/
    color: var(--kolor-ciemny);
    border-radius: 20px;
    font-weight: 800;
}
nav ol li a:hover{
    background-color: var(--kolor-ciemny);
    color: var(--kolor-jasny)
}

/*WSZYSTKIE SEKCJE*/
section{
    min-height: 80vh;
    /*hv - viewport height, czyli procent wysokości przeglądarki*/

    /*FLEX CONTAINER*/
    display: flex;
    flex-direction: row; /*przy disp. flex domyslnie flex dir. jest row*/
    flex-direction: column;
    align-items: center;
    justify-content: center;

    /*ODDALENIE ZAWARTOŚCI OD KRAWĘDZI OKNA*/
    padding: 20px;

    /*oddalenie od gornej krawędzi, aby nav bar nie najeżdżał na górę sekcji*/
    scroll-margin-top: 56px; /*czy tyle? nwm trzeba to policzyc :D*/

    min-height: 100vh;
}
/*class ma prefix '.' */
.zawartosc{
    /* background-color: red; */
    /*zawartosc nie moze byc szersza niż 1200px*/
    max-width: 1200px;
    width: 100%;/*żeby osiągała 1200px nawet jeśli nie ma wystarczająco zawartości w sobie*/
}

/*POSZCZEGÓLNE SEKCJE*/
/*id ma prefix '#' */
#pierwsza{
    background-color: var(--kolor-ciemny);
    background: url(../img/pierwsza1.gif) no-repeat center top fixed;
    background-size: cover;/*zawsze wypełnia całe okno przeglądarki*/
}
#pierwsza .zawartosc{
    /* background-color: green; */
    display: flex;
    flex-direction: column;
    justify-content: center; /*nie działa, bo zmieniają się osie o 90* przy zmianie z kolumn*/
    flex-wrap: wrap;
    align-items: center; /*w column: align jest od poziomu, a justify od pionu*/
    gap: -1vh;
}
/* #logo{
    background-color: var(--kolor-ciemny);
    height: 200px;
    width: 200px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 110px;
    font-weight: 100;
    color: var(--kolor-jasny);
}
#logo:hover{
    background-color: var(--kolor-jasny);
    color: var(--kolor-ciemny);
    transform: rotate(360deg);
    font-size: 130px;
    cursor: default; 
}
*/
#pierwsza h1{
    color: var(--kolor-jasny);
    font-weight: 900;
    scale: 140%;
    padding-bottom: 10px;
}
#pierwsza h1:hover{
    font-weight: 600;
}

#pierwsza a{
    color: var(--kolor-jasny);
    padding: 20px 40px;
    border-radius: 40px;
}
#pierwsza a:hover{
    /* background-color: var(--kolor-ciemny); */
    color: var(--kolor-jasny);
}
#pierwsza p{
    padding-top: -2000px;
    color: var(--kolor-jasny);
    font-weight:normal;
    /* background-color: red; */
}
#pierwsza p span{
    font-weight: thin;
    font-style: italic;
    color: var(--kolor-akcent);
    /* background-color: rgb(0, 255, 64); */
}


/*druga*/



#druga{
    background-color: var(--kolor-ciemny);
    padding: 80px 5%;
    overflow: hidden;
    
}
#druga .karuzela {
    display: flex;
    flex-wrap: nowrap;
    gap: 24px;
    width: max-content;

    animation: przesuw 25s linear infinite alternate-reverse;
}
#druga .karuzela:hover {
    /* animation-play-state: paused; */
}
#druga .zawartosc .karuzela{
    /* background-color: blue; */
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 12px;
    /* */
} /* #druga .zawartosc{} - teraz mozemy inaczej stylować sekcje pierwsza i druga*/
#druga article{
    /* background-color: orange; */
    /*FLEX ITEMS*/
    flex: 0 0 280px;
    display: flex;
    flex-direction: column;
    /* background-color: var(--kolor-jasny); */
    gap: 10px;
}
#druga article:hover{
    /* background-color: #fff; */
    /* box-shadow: 0 0 20px rgba(26, 27, 77, 0.7); */

}
#druga h2{
    color: var(--kolor-glowny);
}
#druga article img{
    width: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    border-radius: 16px;
    filter: grayscale(100%) contrast(1.1);
}
#druga article img:hover{
        filter: grayscale(0%);
}
#druga article h3{
    color: var(--kolor-glowny);
    padding-top: 16px;
}
#druga article p{
    color: var(--kolor-akcent)
}
#druga article p span{
    display: block;
    color: #aaa;
}
#druga article .autor {
    color: #aaa;
    padding-top:6px;
}

#druga article .lokalizacja {
    color: #666;
    padding-top:6px;
}

@keyframes przesuw {
    from {
        transform: translateX(-20%);
    }
    to {
        transform: translateX(-50%);
    }
}


/*trzecia*/


#trzecia{
    background: url(../img/img2.png) no-repeat center top fixed;
    background-size: cover;/*zawsze wypełnia całe okno przeglądarki*/
}
#trzecia h2{
    color: var(--kolor-glowny);
}
#trzecia h3{
    text-align: center;
    font-size: clamp(30px,25vw,100px);
    font-weight: 900;
    mix-blend-mode: overlay;
    color: var(--kolor-glowny);
    /* background-color: var(--kolor-jasny); */
}
#trzecia .zawartosc{
    display: flex;
    justify-content: center;
    align-items: center;
    /* background-color: green; */
    padding: 10px;
}
.lewe,
.prawe{
    display: flex;
    flex-direction: column;
    gap: 60px;
}
#trzecia p{
    color: var(--kolor-glowny)
}
#trzecia p span{
    font-weight: bold;
    font-size: large;
    color: var(--kolor-jasny)
}
.maska{
    /* background-color: red; */
    display: flex;
    flex-wrap: wrap;
    gap: 4vw;
    justify-content: center;
}
.lewe, .prawe{
    flex: 1 1 200px;
}


/*czwarta*/



#czwarta{}
#czwarta .zawartosc{
    display: flex;
    /*flex-wrap: nowrap;  DOMYŚLNIE*/
    flex-wrap: wrap;
    gap: 10px;
    align-items: center;
    justify-content: center;
}
#czwarta article{
    flex: 1 1 300px;
    /*równaj zawartości | mogą się kurczyć | 300px=szer szer bazowa=jakiej szerkosci nie mogą przekroczyć*/
    /*0=nie zezwolone rośnięcie*/
    
}
#czwarta article img{}
#czwarta article h2{
    background-color: #ffffff;
}
#czwarta article h2{}
#czwarta article p{}
#czwarta article ol{}
#czwarta article ol li{}
#czwarta article a{}
#czwarta article a:hover{}



/*piata*/


#piata{
    text-align: center;
}
#piata .zawartosc{
    display: flex;
    padding: 20px;
    flex-wrap: wrap;
    /* flex: 0 1 50px; */
    justify-content: center;
}
#piata h2{
    scale: 150%;
    padding: 16px;
}
#piata p{
    color: #888;
    padding: 10px;
    font-size: 14px;
    padding: 16px 0;
}
#piata .lewa{
    padding: 20px;
    flex: 0 1 400px;
    border-right: 1px solid #ccc;
    justify-content: center;
}
#piata .prawa{
    padding: 20px;
    flex: 0 1 400px;
}
#piata form main input{
    padding: 10px;
    margin: 8px 0px;
    background-color:#eee;
    border:0;
    border-radius: 4px;
    width: 100%;
}
#piata form main input:focus{
    outline:0;
    border:1px solid #eee;
    background-color: white;
}
form{
    max-width: 60vw;
    padding: 2rem;
    color: #000000;
    font-family: Inter, "Inter UI", Segoe, 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}
#piata .formularz label{
    color:#ad0000;
    font-size: 12px;
}
#piata ::placeholder{
    color:#888;
}
#piata .przycisk input{
    background-color: #222;
    padding: 16px;
    color: #fff;
    border: 0;
    outline: 0;
    border-radius: 8px;
    margin: 20px 0px;
    font-weight: bold;
}
#piata .przycisk input:hover{
    background-color: #f5f5f5;
    color: #000;
    box-shadow: 0 0 12px 0 rgba(0, 0, 0, .7);
}
#piata a{
    color: rgb(0, 112, 177);
    font-size: 12px;
}
#piata a:hover{
    color:#344261;
}
#piata #zgody{
    font-size: 12px;
    padding-top: 20px;
    text-align: left;
}
#piata .formularz label{
    color:#bbb;
    font-size: 12px;
}



/*STOPKA*/



#stopka{
    background-color: #161616;
    color: #fff;
    justify-content: space-between;
    min-height: 40vh;
    display: flex;
    align-items: center;
    padding: 100px;
    font-family: Inter, 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    
}
#stopka .zawartosc{
	/*STOPKA*/
	display:flex;
	justify-content: space-between;
	gap: 20px;
    flex-wrap: wrap;
    color: rgba(158,158,158,1.00);
}
#stopka a{
    color: #888;
    margin-bottom: 8px;
    margin-top: 8px;
}
#stopka a:visited{
    color:#888;
    margin-bottom: 8px;
    margin-top: 8px;
}
#stopka p{
    color: #5c5c5c;
    margin-bottom: 8px;
    margin-top: 8px;
}
#stopka h4{
    color: #888;
    font-weight: bold;
    margin-bottom: 32px;
}
#article{
    background: #000;

}
#stopka .zawartosc{
	/*STOPKA*/
	display:flex;
	justify-content: space-between;
	gap: 20px;
    flex-wrap: wrap;
    color: rgba(158,158,158,1.00);
}
#stopka form main input{
    display: content;
    border: #000;
    border-radius: 4px;
    margin: 8px 8px 8px 0;
    padding: 8px;
}
#stopka form input{
    background-color: #222;
    padding: 16px;
    color: #fff;
    border: 0;
    outline: 0;
    border-radius: 8px;
    margin: 20px 0px;
    font-weight: bold;
}
#stopka form input:hover{
    background-color: #f5f5f5;
    color: #000;
    box-shadow: 0 0 12px 0 rgba(0, 0, 0, .7);
}